Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cos
Interface ICOSVisitor

All Known Implementing Classes:
  COSWriter

public interface ICOSVisitor

An interface for visiting a PDF document at the type (COS) level.

Version:
  $Revision: 1.6 $
Author:
  Michael Traut

Method Summary
`Object` | `visitFromArray(COSArray obj)` Notification of visit to Array object.
`Object` | `visitFromBoolean(COSBoolean obj)` Notification of visit to boolean object.
`Object` | `visitFromDictionary(COSDictionary obj)` Notification of visit to dictionary object.
`Object` | `visitFromDocument(COSDocument obj)` Notification of visit to document object.
`Object` | `visitFromFloat(COSFloat obj)` Notification of visit to float object.
`Object` | `visitFromInt(COSInteger obj)` Notification of visit to integer object.
`Object` | `visitFromName(COSName obj)` Notification of visit to name object.
`Object` | `visitFromNull(COSNull obj)` Notification of visit to null object.
`Object` | `visitFromStream(COSStream obj)` Notification of visit to stream object.
`Object` | `visitFromString(COSString obj)` Notification of visit to string object.

Method Detail

### visitFromArray

    public Object visitFromArray(COSArray obj)
                          throws COSVisitorException

  Notification of visit to Array object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromBoolean

    public Object visitFromBoolean(COSBoolean obj)
                            throws COSVisitorException

  Notification of visit to boolean object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromDictionary

    public Object visitFromDictionary(COSDictionary obj)
                               throws COSVisitorException

  Notification of visit to dictionary object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromDocument

    public Object visitFromDocument(COSDocument obj)
                             throws COSVisitorException

  Notification of visit to document object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromFloat

    public Object visitFromFloat(COSFloat obj)
                          throws COSVisitorException

  Notification of visit to float object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromInt

    public Object visitFromInt(COSInteger obj)
                        throws COSVisitorException

  Notification of visit to integer object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromName

    public Object visitFromName(COSName obj)
                         throws COSVisitorException

  Notification of visit to name object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromNull

    public Object visitFromNull(COSNull obj)
                         throws COSVisitorException

  Notification of visit to null object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromStream

    public Object visitFromStream(COSStream obj)
                           throws COSVisitorException

  Notification of visit to stream object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

### visitFromString

    public Object visitFromString(COSString obj)
                           throws COSVisitorException

  Notification of visit to string object.

  Parameters:
    `obj` - The Object that is being visited.
  Returns:
    any Object depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If there is an error while visiting this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD